services:
  postgres:
    container_name: "data-next-postgres"
    hostname: postgres
    image: postgres:15
    restart: on-failure
    environment:
      - POSTGRES_USER=dataverse
      - POSTGRES_PASSWORD=secret
    ports:
      - "54321:5432"
    networks:
      - dataverse
    volumes:
      - ./data/db:/var/lib/postgresql/data
      - ./dump.sql:/docker-entrypoint-initdb.d/dump.sql:ro

networks:
  dataverse:
    driver: bridge
